Grants, vesting & distributions

Get Exercise Requests By Grant Id

Lists exercise requests for a grant with a derived settlement method.

GEThttps://api.toku.com/tga/get-exercise-requests-by-grant-id

Not available to API keys yet. It will need grants:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-exercise-requests-by-grant-id?grantID=%3CgrantID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "exerciseRequestID": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "status": "EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM",
    "units": 0,
    "settlementMethod": "TOKEN"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

grantIDstring<uuid>required

Response

200Successful response
exerciseRequestIDstringrequired
createdAtstringrequired
updatedAtstringrequired
statusstringrequired

Available options: EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM, PENDING_AGREEMENT, PENDING_SETTLEMENT, PENDING_TAX_APPROVAL, PENDING_TOKU_ACCEPTANCE, REJECTED, SETTLED

unitsnumberrequired
settlementMethodstringrequired

Available options: TOKEN, CASH, unknown

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits